<app-main-nav [ContentType]="1">
  <div align="center" class="main-div container image">
    <div>
      <table align="center">
        <tr>
          <mat-card class="" style="margin: 50px; text-align: center;">
            <table align="center">
              <tr>
                Contract Address : {{Details.contract}}
              </tr>
              <br />
              <tr>
                Last Won Lottery : {{this.Details.winner}}
              </tr>
              <tr>
                Participants Count : {{this.Details.participants}}
              </tr>
              <tr>
                Lottery Amount : {{this.Details.amount}} ETH
              </tr>
              <br />
              <tr>
                My Balance : {{this.Details.balance}} ETH
              </tr>
            </table>
          </mat-card>
        </tr>
        <tr>
          <mat-tab-group dynamicHeight align="center" style="background-color:
            rgb(255, 255, 255); color: black;">
            <mat-tab align="center" label="Choose Winner">
              <mat-card id="card" style="text-align: center;"><br/>
                  <mat-card-title>
                    Choose the Winner
                  </mat-card-title>

                  <mat-card-content>

                    <br/>
                      <button mat-raised-button style="margin:15px;" (click)= "chooseWinner()" [disabled]="this.Details.participants == 0">Choose</button>
                    </mat-card-content>
                  </mat-card>
                </mat-tab>
                <mat-tab align="center" label="Start Event">
                  <mat-card id="card" style="text-align: center;"><br/>
                      <mat-card-title>
                        Start a new Event
                      </mat-card-title>
    
                      <mat-card-content>
    
                        <br/>
                          <button mat-raised-button style="margin:15px;" (click)= "newEvent()">Start</button>
                        </mat-card-content>
                      </mat-card>
                    </mat-tab>
                <mat-tab align="center" label="Change Owner">
                  <mat-card id="card" style="text-align: center;"><br/>
                      <mat-card-title>
                        Transfer Ownership
                      </mat-card-title>

                      <mat-card-content>

                        <br/>

                          <form align="center"
                            class="example-form" (ngSubmit)="changeAdmin(myForm)"
                            #myForm="ngForm">
                            <mat-form-field appearance="outline">
                              <input matInput placeholder="Enter the address" id= "address" name= "address" ngModel >
                            </mat-form-field><br/>
                              <button type="submit" mat-raised-button style="margin:15px;">Change</button>
                            </form>
                          </mat-card-content>
                        </mat-card>
                      </mat-tab>
                    </mat-tab-group>

                  </tr>
                  <tr>
                  </tr>
                </table>
              </div>
            </div>
          </app-main-nav>